<?php
// +----------------------------------------------------------------------
// | OneKeyAdmin [ Believe that you can do better ]
// +----------------------------------------------------------------------
// | Copyright (c) 2020-2023 http://onekeyadmin.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: MUKE <513038996@qq.com>
// +----------------------------------------------------------------------
namespace app\admin\validate;

use think\Validate;

class AdminGroup extends Validate
{
    protected $rule =   [
        'title'      => 'require',
        'status'     => 'require|number',
    ];
    protected $message  =   [
        'title.require'  => '请输入标题',
        'status.require' => '请选状态',
        'status.number'  => '状态类型错误',
    ];
    protected $scene = [
        'save'       => ['title','status'],
        'update'     => ['title','status'],
    ];
}