<?php
// +----------------------------------------------------------------------
// | OneKeyAdmin [ Believe that you can do better ]
// +----------------------------------------------------------------------
// | Copyright (c) 2020-2023 http://onekeyadmin.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: MUKE <513038996@qq.com>
// +----------------------------------------------------------------------
namespace app\admin\validate;

use think\Validate;

class UserGroup extends Validate
{
    protected $rule =   [
        'title'      => 'require',
        'discount'   => 'require',
        'integral'   => 'require',
        'status'     => 'require',
    ];
    protected $message  =   [
        'title.require'    => '请输入名称',
        'discount.require' => '请填写折扣',
        'integral.require' => '请输入所需经验',
        'status.require'   => '请输入状态',
    ];
    protected $scene = [
        'save'          => ['title','discount','integral','status'],
        'update'        => ['title','discount','integral','status'],
    ];
}