<?php
// +----------------------------------------------------------------------
// | OneKeyAdmin [ Believe that you can do better ]
// +----------------------------------------------------------------------
// | Copyright (c) 2020-2023 http://onekeyadmin.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: MUKE <513038996@qq.com>
// +----------------------------------------------------------------------
namespace app\admin\validate;

use think\Validate;

class AdminMenu extends Validate
{
    protected $rule =   [
        'title'      => 'require',
        'pid'        => 'require|number',
        'path'       => 'require',
    ];
    protected $message  =   [
        'title.require' => '请输入标题',
        'pid.require'   => '请选择父级id',
        'pid.number'    => '父级id类型错误',
        'path.require'  => '请选择菜单路径',
    ];
    protected $scene = [
        'save'       => ['title','pid','path'],
        'update'     => ['title','pid','path'],
    ];
}